package com.smith9.geiger.client

import com.smith9.geiger.client.beans.Duration
import com.smith9.geiger.client.beans.Stat
import com.smith9.geiger.client.beans.StatsOptions

/**
 * Created: 29/03/11
 * @author david
 */
public interface LoaderClient {
    /**
     * uploads all of the stats in a single batch
     * @return the last duration processed
     */
    void setOptions(StatsOptions options)
    Stat send(List<Stat> stats)
    String uploadCount(File file)
    String uploadDuration(File file)
}